org.gradle.language.jvm.plugins

## Class JvmLanguagePlugin

- java.lang.Object
- - org.gradle.language.jvm.plugins.JvmLanguagePlugin

- All Implemented Interfaces:
    Plugin<Project>

      @Incubating
      public class JvmLanguagePlugin
      extends Object
      implements Plugin<Project>

  Base plugin for JVM language support. Applies the `LanguageBasePlugin`. Registers the `ClassDirectoryBinary` element type for the `BinaryContainer`. Adds a lifecycle task named `classes` for each `ClassDirectoryBinary`. Registers the `ResourceSet` element type for each `FunctionalSourceSet` added to `ProjectSourceSet`. Adds a `Copy` task named `processXYZResources` for each `ResourceSet` added to a `ClassDirectoryBinary`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JvmLanguagePlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.file.FileResolver fileResolver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project target)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JvmLanguagePlugin

          @Inject
          public JvmLanguagePlugin(org.gradle.internal.reflect.Instantiator instantiator,
                                  org.gradle.api.internal.file.FileResolver fileResolver)

  - ### Method Detail

    - #### apply

          public void apply(Project target)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `target` - The target object